/**

 *  Fichero: FrmkBridge.js

 *  Descripcion: permite realizar llamadas a objetos java. 

 *   Para ello creo un nuevo iframe y le inserta un formulario para que

 *   realice la llamada al objeto java en modo POST.

 */ 

// ----------------------------------------------------------- Constructor

	/**

	 * Construye un nuevo objeto FrmkBridge para lanzar peticiones

	 * de ejecucion remotas (en servidor).

	 * Crea una capa oculta. Dentro mete un iframe oculto y dentro

	 * del mismo un formulario para poder hacer submits por POST.

	 */

	function FrmkBridge(iframeName) 

	{

		//Crear un Nuevo iframe

		this.nIframe = new FrmkIframe(iframeName);  			

	}

	



// ----------------------------------------------------------- Metodos de clase

	/**

	*  Realiza un submit del formulario creado en modo POST

	*/

	FrmkBridge.prototype.doSubmit = function(formUrl)

	{

		if (this.nIframe!=null && this.nIframe!=undefined)

			this.nIframe.doSubmit(formUrl);			

	}

	

	/**

	*  Realiza un submit del formulario creado en modo POST

	*/

	FrmkBridge.prototype.doRedirect = function(formUrl)

	{

		if (this.nIframe!=null && this.nIframe!=undefined)

			this.nIframe.doRedirect(formUrl);			

	}	